TokenReplacerFilterReader (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.filter.TokenReplacerFilterReader class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.filter
Class TokenReplacerFilterReader

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              org.hyperic.util.filter.TokenReplacerFilterReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable

    public class TokenReplacerFilterReader

extends java.io.FilterReader

Property replacer for Strings and Readers. The default begin and end tokens are ${ and }. These are configurable. By default the available filters include all system properties.

Field Summary

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`TokenReplacerFilterReader(java.io.Reader r)`
`TokenReplacerFilterReader(java.lang.String s)`

Method Summary
`void` | `addFilter(java.lang.String name, java.lang.String value)`
`void` | `addFilters(java.util.Map filters)`
`int` | `read()`
`int` | `read(char[] buf, int offset, int len)`
`void` | `setBeginToken(java.lang.String token)`
`void` | `setEndToken(java.lang.String token)`

Methods inherited from class java.io.FilterReader
`close, mark, markSupported, ready, reset, skip`

Methods inherited from class java.io.Reader
`read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenReplacerFilterReader

    public TokenReplacerFilterReader(java.io.Reader r)

### TokenReplacerFilterReader

    public TokenReplacerFilterReader(java.lang.String s)

Method Detail

### setBeginToken

    public void setBeginToken(java.lang.String token)

### setEndToken

    public void setEndToken(java.lang.String token)

### addFilter

    public void addFilter(java.lang.String name,
                          java.lang.String value)

### addFilters

    public void addFilters(java.util.Map filters)

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterReader`
  Throws:
    `java.io.IOException`

### read

    public int read(char[] buf,
                    int offset,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterReader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.